#ifndef OURPCAP_H
#define OURPCAP_H

#include <stdio.h>
#include <stdlib.h>
//#include <pcap-int.h>
#include <errno.h>
#include <pcap.h>

pcap_t *ourpcap_clone(pcap_t *p);

#ifdef LINUX
int ourpcap_read_linux(pcap_t *handle, int cnt, pcap_handler callback,
	u_char *userdata);
#else
int ourpcap_read_bpf(pcap_t *p, int cnt, pcap_handler callback, u_char *user);

#endif

#endif //OURPCAP_H
