#!/bin/sh
# run at midmight to backup previous day's ircfr log file
#
BASEDIR=/usr/dumps/ircfr
TODAY=$BASEDIR/ircfr.today.txt
PREVDAY=$BASEDIR/ircfr.yesterday.txt

logger "ircfr.sh is running"

# kill ircfr
if [ -f /var/run/ircfr.pid ]; then
	kill -9 `cat /var/run/ircfr.pid`
fi
# cp today to yesterday
if [ -f $PREVDAY ]; then
	cp $PREVDAY $BASEDIR/2daysago.txt
fi
if [ -f $TODAY ]; then
        cp $TODAY $PREVDAY
fi
# null out today just in case due to paranoia
cp /dev/null $TODAY
# restart ircfr on today of course
/home/mrourmon/bin/ircfr -i em0 -f $TODAY &
